Screenshots Download Prices Ordering Support History

Download EnglishFrenchGerman

EXPLOR2000 full setup (English, French, German version).

EXPLOR2000 works best with version 4.72 or later of the COMCTL32.DLL . It works with earlier versions, but if you experience unexplained problems or instability you should upgrade.
If you do not yet have the updated COMCTL32.DLL, you will need to download it from Microsoft as well.